// pages/report/index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    status: true,
    list_data:[] 
  },
  changeHome: function(e){
    var value = e.detail.value;
    var index = e.currentTarget.dataset.index;
    var list_data = this.data.list_data;
    list_data[index]['selectValue'] = value;
    this.setData({
      list_data: list_data
    })
    console.log(this.data.list_data);
  },
  submit: function(e){
    var userId = wx.getStorageSync('userInfo')['id'];
    //计算同学的总分
    var score = 0;
    var correct = 0;
    var total = this.data.list_data.length;
    var data = this.data.list_data;
    for (var i in data){
      if(data[i]['selectValue'] == data[i]['correct_answer']){
        correct +=1;
      }
    }
    score = parseInt((100/total)*correct);
    app.data.utils.request({
      url: app.data.api.post_answers + userId,
      data: {score: score, detail: data, true_num: correct, false_num: total-correct},
      method: 'post',
      success: (data) => {
        wx.showToast({
          title: '答题完成',
        })
        wx.redirectTo({
          url: '/pages/problem_log/index',
        })
      }
    });

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    app.data.utils.request({
      url: app.data.api.answers,
        data: {},
        method: 'get',
        success: (data) => {
          that.setData({
            list_data: data
          })
          console.log(that.data.list_data);
        }
      })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})